Summary: X MultiMedia System output plugin for the aRts sound system
Name: xmms-arts
Version: 0.7.1
Release: 16
License: GPLv2
Group: Applications/Multimedia
URL: http://www.xmms.org/
Source: http://havardk.xmms.org/plugins/arts_output/arts_output-%{version}.tar.gz
Patch: arts_output-0.6.0-buffer.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xmms-libs
BuildRequires: xmms-devel, arts-devel > 1.2.0-1.5
Conflicts: arts < 1.2.0-1.5
Conflicts: xmms < 1:1.2.10-15

%description
X MultiMedia System output plugin to use aRts (analog real-time synthesizer),
the KDE sound system.


%prep
%setup -q -n arts_output-%{version}
# Bump up the default buffer size to avoid audio artifacts
%patch -p1 -b .buffer


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_bindir}/xmms-arts-helper
%exclude %{_libdir}/xmms/Output/libarts.la
%{_libdir}/xmms/Output/libarts.so


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.1-7
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 0.7.1-6
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 0.7.1-5
- Update License field.
- Remove dist tag, since the package will seldom change.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.7.1-4
- FC6 rebuild.

* Wed May 31 2006 Matthias Saou <http://freshrpms.net/> 0.7.1-3
- Fix problems reported by Ville in #193600 : Require explicitly xmms-libs,
  don't own the Output/ directory and exclude the .la file.
- Add dist tag to the release.

* Mon Feb 13 2006 Matthias Saou <http://freshrpms.net/> 0.7.1-2
- Add missing make call in %%build.

* Thu Apr 14 2005 Matthias Saou <http://freshrpms.net/> 0.7.1-1
- Split off xmms-arts from the main xmms package.

